=== debian/changelog ===
petris (1.0.1-11) unstable; urgency=medium

  * Replaced dh_auto_clean override in debian/rules with debian/clean.
  * New patch to add format argument to mvprintw() call. (Closes: #997181.)
  * Make compiler a variable in Makefile. (Closes: #900919.)
  * Fix typo: 'termianl' -> 'terminal'. (Closes: #609359.)
  * Increased debhelper compatibility level from 9 to 10.
  * Increased standards version from 3.9.8 to 4.6.0.
  * Removed menu fie to be in line with Debian policy 9.6.
  * Removed now obsolete petris-icon.xpm file.

 -- Andree Leidenfrost <andree@debian.org>  Mon, 08 Nov 2021 09:01:48 +1100

petris (1.0.1-10) unstable; urgency=low

  * Use debian/manpages instead of debian/rules stanza.
  * Leave only var/games in debian/dirs - doesn't get created through install.
  * Explicitly enabled full hardening in debian/rules to be on the safe side.
  * Added XDG desktop support. (Closes: #738002.)

 -- Andree Leidenfrost <andree@debian.org>  Mon, 14 Nov 2016 18:48:47 +1100

petris (1.0.1-9) unstable; urgency=low

  * Rebuilt package from scratch:
    - moved to 3.0 (quilt) format and put changes into separate patches
    - simplified rules file
    - rewritten postinst & postrm maintainer scripts
    - removed spurious files postinst.debhelper & postrm.debhelper'
    - added petris.install file
  * Increaed standards version to 3.9.8.
  * Increased required debhelper version to 9.
  * Increased compatibility to 9. (Closes: #817617.)
  * Moved ${LIBS} to the end of line for Makefile target 'petris' to fix FTBFS
    with 'ld --as-needed'. (Closes: #641575.)

 -- Andree Leidenfrost <andree@debian.org>  Thu, 08 Sep 2016 13:53:02 +1000

petris (1.0.1-8) unstable; urgency=low

  * Removed hard-coded strip option from install command in rules file. 
    (Closes: #437769.)
  * Changed menu location to Games/Blocks to be in line with current 
    menu policy (version 3.8.0).
  * Fixed make clean command in rules file. (Fixes lintian warning.)
  * Changed standards version to 3.8.0 with no further changes other 
    than the above.

 -- Andree Leidenfrost <andree@debian.org>  Fri, 03 Oct 2008 19:59:18 +1000

petris (1.0.1-7) unstable; urgency=low

  * Amended copyright file to reflect the fact that there is currently 
    no upstream download location.

 -- Andree Leidenfrost <andree@debian.org>  Tue,  3 Oct 2006 01:16:22 +1000

petris (1.0.1-6) unstable; urgency=low

  * Changed maintainer email address to andree@debian.org.
  * Changed standards version from 3.6.2 to 3.7.2 without package
    changes. (Fixes lintian warning.)
  * Increased package compatibility level to 5 and build-depend on
    debhelper >= 5.0 accordingly.
  * Removed spurious debian/substvars file. (Fixes lintian warning.)

 -- Andree Leidenfrost <andree@debian.org>  Thu, 31 Aug 2006 00:49:58 +1000

petris (1.0.1-5) unstable; urgency=high

  * Integrated fix by Security Team for buffer overflow of environmental
    variable when processing highscores. [CVE-2005-3540] (Hence urgency=high.)
  * Changed standards version from 3.6.1 to 3.6.2 without package changes.
  * Add compat file to avoid warning when building package.
  * Install directory under debian is now $package, not tmp - adjust rules
    accordingly.
  * Initialised 'points.level' in function 'check_lines' (game.c). Avoids
    compiler warning.

 -- Andree Leidenfrost <aleidenf@bigpond.net.au>  Tue, 10 Jan 2006 23:38:24 +1100

petris (1.0.1-4) unstable; urgency=low

  * Fixed compiler warnings.
  * Added icon for menu.
  * Bumped dephelper version to 4.2.20.

 -- Andree Leidenfrost <aleidenf@bigpond.net.au>  Wed,  6 Oct 2004 23:18:36 +1000

petris (1.0.1-3) unstable; urgency=low

  * Check outcome of getch() function call to avoid infinite loop in
    case hosting terminal dies (Closes: #256265)

 -- Andree Leidenfrost <aleidenf@bigpond.net.au>  Tue, 06 Jul 2004 20:37:47 +1000

petris (1.0.1-2) unstable; urgency=low

  * Added build dependency for libncurses5-dev (Closes: #253614)
  * Changed CFLAGS in rules to turn on debugging symbols using '-g'
  * Changed CFLAGS in rules to turn on more extensive warnings using '-W'
  * Pass CFLAGS to get make to actually honour the build flags
    (thanks Goswin von Brederlow for pointing this out)
  * Set architecture to 'any' (fingers crossed)
  * Updated standards to 3.6.1 (fixes lintian warning)
  * Call petris directly in menu rather than using 'sh -c'
    (fixes lintian warning)
  * Make sure that /var/games exists by adding it to dirs
  
 -- Andree Leidenfrost <aleidenf@bigpond.net.au>  Sun, 13 Jun 2004 10:52:13 +1000

petris (1.0.1-1) unstable; urgency=low

  * Initial Release.

 -- Andree Leidenfrost <aleidenf@bigpond.net.au>  Sun, 25 Apr 2004 20:40:25 +1000
