=== debian/control ===
Source: petris
Section: games
Priority: optional
Maintainer: Andree Leidenfrost <andree@debian.org>
Build-Depends: debhelper (>=10), libncurses5-dev
Standards-Version: 4.6.0

Package: petris
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Peter's Tetris - a Tetris(TM) clone
 Petris supports colours and even features a highscore list.
