=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# Explicitly enable full hardening.
export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@ 

# Run petris binary as group games so that high score
# file can be written to by normal users.
override_dh_fixperms:
	dh_fixperms
	chgrp games $(CURDIR)/debian/petris/usr/games/petris
	chmod g+s $(CURDIR)/debian/petris/usr/games/petris
